<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.github.microservice</groupId>
        <artifactId>MSRunnable</artifactId>
        <version>1.0.0-SNAPSHOT</version>
        <relativePath>../../../super/MSRunnable</relativePath>
    </parent>

    <groupId>com.github.microservice.card</groupId>
    <artifactId>FullCardServer</artifactId>
    <name>FullCardServer</name>
    <properties>
        <java.version>17</java.version>
    </properties>
    <dependencies>

        <dependency>
            <groupId>com.github.microservice</groupId>
            <artifactId>PCore</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!--应用中心客户端-->
        <dependency>
            <groupId>com.github.microservice.components</groupId>
            <artifactId>ApplicationClient</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!--    推送中心    -->
        <dependency>
            <groupId>com.github.microservice.components</groupId>
            <artifactId>PushCenterClient</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.microservice.card</groupId>
            <artifactId>FullCardClient</artifactId>
            <version>${project.version}</version>
        </dependency>

<!--        &lt;!&ndash;   支付中心     &ndash;&gt;-->
<!--        <dependency>-->
<!--            <groupId>com.github.microservice.payment</groupId>-->
<!--            <artifactId>PaymentClient</artifactId>-->
<!--            <version>${project.version}</version>-->
<!--        </dependency>-->

<!--         支付中心客户端-->
        <dependency>
            <groupId>com.github.microservice.pay</groupId>
            <artifactId>PayClient</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!--OpenApi网关客户端-->
        <dependency>
            <groupId>com.github.microservice.opengateway</groupId>
            <artifactId>OpenApiClient</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.microservice.netdisk</groupId>
            <artifactId>NetDiskClient</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.microservice.components</groupId>
            <artifactId>RedisData</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.microservice.components</groupId>
            <artifactId>MongodbData</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!--		<dependency>-->
        <!--			<groupId>com.github.microservice.auth</groupId>-->
        <!--			<artifactId>AuthClient</artifactId>-->
        <!--			<version>${project.version}</version>-->
        <!--		</dependency>-->

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>${lombok.version}</version>
        </dependency>

        <!--二维码-->
        <dependency>
            <groupId>com.google.zxing</groupId>
            <artifactId>core</artifactId>
            <version>3.4.1</version>
        </dependency>
        <dependency>
            <groupId>com.google.zxing</groupId>
            <artifactId>javase</artifactId>
            <version>3.4.1</version>
        </dependency>

        <!--	拼音 	-->
        <dependency>
            <groupId>com.belerweb</groupId>
            <artifactId>pinyin4j</artifactId>
            <version>2.5.1</version>
        </dependency>

        <!--    excel导出    -->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>4.1.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
            <version>4.1.2</version>
        </dependency>
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml-schemas</artifactId>
            <version>4.1.2</version>
        </dependency>

        <dependency>
            <groupId>cn.afterturn</groupId>
            <artifactId>easypoi-base</artifactId>
            <version>4.1.0</version>
        </dependency>

        <!--阿里云 oss-->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-core</artifactId>
            <version>4.6.0</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>aliyun-java-sdk-sts</artifactId>
            <version>3.1.0</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun.oss</groupId>
            <artifactId>aliyun-sdk-oss</artifactId>
            <version>3.14.0</version>
        </dependency>


        <!--	artemis 	-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-artemis</artifactId>
            <version>3.2.4</version>
        </dependency>

        <dependency>
            <groupId>com.zswl</groupId>
            <artifactId>ConfigModel</artifactId>
            <version>1.0.0-SNAPSHOT</version>
        </dependency>

    </dependencies>
</project>
